Summary: Xoo is a graphical wrapper around xnest
Name: xoo
Version: 0.7
Release: 12%{?dist}
License: GPLv2+
# upstream is in the process of moving source to freedesktop.org
# tar ball not available ATM at either site
Url: http://projects.o-hand.com/%{name}
Source0: http://projects.o-hand.com/sources/%{name}/%{name}-%{version}.tar.gz
Source1: neo1973.png
Patch0: xoo-0.7-xnest-location.patch
Patch1: xoo-neo1973.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libXtst-devel, gtk2-devel, libglade2-devel, expat-devel
BuildRequires: libX11-devel, GConf2-devel,libXt-devel
Requires: xorg-x11-server-Xnest

%description
Xoo is a graphical wrapper around xnest. You can make Xnest
look like a particular device's display and set up buttons on that
device.

%prep
%setup -q 
%patch0 -b .xnest-location
%patch1 -p1 -b .neo1973
cp %{SOURCE1}  data/
# ImplicitDSOlinking fix
sed -i 's/-lXtst/-lXtst -lX11/' configure.ac

%build
%configure --with-x
make LDFLAGS=-lX11 %{?_smp_mflags}

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
%{__make} install

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
#%{_libdir}/
%{_bindir}/xoo
%dir %attr(0755,root,root) %{_prefix}/share/%{name}
%{_prefix}/share/%{name}/*
%{_prefix}/share/applications/%{name}.desktop
%{_prefix}/share/pixmaps/%{name}.png
%doc README COPYING TODO AUTHORS NEWS
#%{_mandir}/*/*

%changelog
* Sat Oct 23 2010 Paul Wouters <paul@xelerance.com> - 0.7-12
- bz#599871 FTBFS xoo-0.7-11.fc12: ImplicitDSOLinking fix

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7-9
- Fix license tag.
- Move %%configure call inside %%build.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7-8
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Paul Wouters <paul@xelerance.com> 0.7-7
- Rebuild for new expat

* Sat Jul 28 2007 Paul Wouters <paul@xelerance.com> 0.7-6
- Bump for EVR

* Sat Jul 28 2007 Paul Wouters <paul@xelerance.com> 0.7-4
- Fixed patch file

* Sat Jul 28 2007 Paul Wouters <paul@xelerance.com> 0.7-3
- Added neo1973 skins with permission of copyright holder
  Sean Moss-Pultz <sean@openmoko.com>

* Thu Jul  5 2007 Paul Wouters <paul@xelerance.com> 0.7-2
- Dependancy fixes, removed post/postun sections.

* Thu Apr 12 2007 Paul Wouters <paul@xelerance.com> 0.7-1
- Initial release

